# PCLinuxOS Copyright by Bill Reynolds (Texstar)
# 32/64bit spec-file
#
%define name		paprefs
%define version		0.9.10

Name:			%{name}
Version:		%{version}
Release:		%mkrel 11
Summary:		PulseAudio Preferences
URL:			http://freedesktop.org/software/pulseaudio/paprefs/
Group:			Sound
License:		GPL v3
Source0:		%{name}-%{version}.tar.xz
Source1: 		%{name}-16.png
Source2: 		%{name}-32.png
Patch0: 0001-Do-not-require-a-recompile-for-each-new-PA-version-i.patch
BuildRequires:		%{_lib}gtkmm2.4-devel
BuildRequires:		%{_lib}glademm2.4-devel
BuildRequires:		%{_lib}sigc++2.0_0-devel
BuildRequires:		%{_lib}gconfmm2.6_1-devel
BuildRequires: 		lynx
Requires:		pulseaudio-module-gconf
Requires:		%{_lib}gtkmm2.4
Requires:		%{_lib}gconfmm2.6_1
Requires:		%{_lib}glademm2.4
Requires:		GConf2
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
PulseAudio Preferences (paprefs) is a simple GTK based configuration
dialog for the PulseAudio sound server.

Please note that this program can only configure local servers, and
requires that a special module module-gconf is loaded in the sound
server. (Since PulseAudio 0.9.5 this modules is loaded by default.)

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
%__rm -rf %buildroot
%makeinstall_std

sed -i "s/^Icon=.*/Icon=%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="System" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icons
install -D -m 0644 %SOURCE1 %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 %SOURCE2 %{buildroot}%{_iconsdir}/%{name}.png

%find_lang %{name}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README LICENSE
%{_bindir}/%name
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.glade
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

%changelog
* Wed Sep 20 2017 bb2 <bb2> - 0.9.10-11pclos2017
- rebuild against updates

* Wed Aug 27 2014 bb <bb> 0.9.10-10pclos2014
- rebuild for new pa 5.0

* Wed Jul 17 2013 Texstar <texstar at gmail.com> 0.9.10-9pclos2013
- rebuild with less dependency for just17 cuz he driving me crazy
- with this pulseaudio junk

* Tue Jun 25 2013 Texstar <texstar at gmail.com> 0.9.10-8pclos2013
- rebuild

* Sat May 18 2013 Texstar <texstar at gmail.com> 0.9.10-6pclos2013
- fix rpmgroup

* Tue Feb 19 2013 pinoc <vogtpet at gmail.com> 0.9.10-5pclos2013
- removed link to old 0.9.23
- fixed desktop file

* Thu May 17 2012 Neal <nealbrks0 at gmail dot com> 0.9.10-4pclos2012
- process

* Wed May 16 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.9.10-4_archie_2012
- Added BuildRequires and Requires (http://www.pclinuxos.com/forum/index.php/topic,103123.msg900918.html)

* Mon May 07 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.9.10-3_archie_2012
- Fixed desktop category
- Added missing dependency

* Mon May 07 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.9.10-2_archie_2012
- Fixed wrong path - https://bugs.launchpad.net/ubuntu/+source/paprefs/+bug/829051

* Fri Mar 02 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.9.10-1_archie_2011
- Initial build
